//---------------------------------------------------------------------------

#ifndef MainUnitH
#define MainUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "FlashPlayerControl.hpp"
#include <Menus.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
        TFlashPlayerControl *FlashPlayerControl1;
        TButton *ButtonLoad;
        TPopupMenu *PopupMenuPlay;
        TTrackBar *TrackBarVideoPos;
        TTimer *TimerUpdateProgress;
        TLabel *LabelVideoStatus;
        TLabel *LabelCurrentPosition;
        TOpenDialog *OpenDialogFLV;
        TCheckBox *CheckBoxAutoPlay;
        TButton *ButtonPlay;
        TButton *ButtonPause;
        TButton *ButtonBack;
        TButton *ButtonForward;
        TTrackBar *TrackBarSoundVolume;
        TLabel *Label1;
        TCheckBox *CheckBoxEnableSound;
        void __fastcall ButtonLoadClick(TObject *Sender);
        void __fastcall FlashPlayerControl1FlashCall(TObject *ASender,
          const WideString request);
        void __fastcall TimerUpdateProgressTimer(TObject *Sender);
        void __fastcall LoadFLVfromafile1Click(TObject *Sender);
        void __fastcall LoadFLVembeddedintheprogram1Click(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall ButtonPauseClick(TObject *Sender);
        void __fastcall ButtonPlayClick(TObject *Sender);
        void __fastcall ButtonBackClick(TObject *Sender);
        void __fastcall ButtonForwardClick(TObject *Sender);
        void __fastcall TrackBarVideoPosChange(TObject *Sender);
        void __fastcall LoadFLVfromURL1Click(TObject *Sender);
        void __fastcall LoadFLVfromRTMPsource1Click(TObject *Sender);
private:	// User declarations
        void __fastcall ContentProvider(const WideString URL, TStream* Stream, bool& bHandled);
public:		// User declarations
        __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
